# TdApi.InternalLinkTypeVideoChat (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InternalLinkTypeVideoChat

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InternalLinkTypeVideoChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InternalLinkType
it.tdlight.jni.TdApi.InternalLinkTypeVideoChat

Enclosing class:
  TdApi

public static final class TdApi.InternalLinkTypeVideoChat extends TdApi.InternalLinkType
The link is a link to a video chat. Call searchPublicChat with the given chat username, and then joinGoupCall with the given invite hash to process the link.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`chatUsername`
Username of the chat with the video chat.
`static final int`
`CONSTRUCTOR`
`String`
`inviteHash`
If non-empty, invite hash to be used to join the video chat without being muted by administrators.
`boolean`
`isLiveStream`
True, if the video chat is expected to be a live stream in a channel or a broadcast group.

## Constructor Summary

Constructors
Constructor
Description
`InternalLinkTypeVideoChat()`
The link is a link to a video chat.
`InternalLinkTypeVideoChat(DataInput input)`
The link is a link to a video chat.
`InternalLinkTypeVideoChat(String chatUsername, String inviteHash, boolean isLiveStream)`
The link is a link to a video chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatUsername

public String chatUsername
Username of the chat with the video chat.

### inviteHash

public String inviteHash
If non-empty, invite hash to be used to join the video chat without being muted by administrators.

### isLiveStream

public boolean isLiveStream
True, if the video chat is expected to be a live stream in a channel or a broadcast group.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InternalLinkTypeVideoChat

public InternalLinkTypeVideoChat()
The link is a link to a video chat. Call searchPublicChat with the given chat username, and then joinGoupCall with the given invite hash to process the link.

### InternalLinkTypeVideoChat

public InternalLinkTypeVideoChat(String chatUsername, String inviteHash, boolean isLiveStream)
The link is a link to a video chat. Call searchPublicChat with the given chat username, and then joinGoupCall with the given invite hash to process the link.

Parameters:
  `chatUsername` - String Username of the chat with the video chat.
  `inviteHash` - String If non-empty, invite hash to be used to join the video chat without being muted by administrators.
  `isLiveStream` - boolean True, if the video chat is expected to be a live stream in a channel or a broadcast group.

### InternalLinkTypeVideoChat

public InternalLinkTypeVideoChat(DataInput input) throws IOException
The link is a link to a video chat. Call searchPublicChat with the given chat username, and then joinGoupCall with the given invite hash to process the link.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`